Bug 1387654 - quagga daemons should pull in network.target into the boot transaction
Summary: quagga daemons should pull in network.target into the boot transaction
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quagga
Version: 23
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Michal Ruprich 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-21 13:07 UTC by Michal Sekletar
Modified: 2016-11-19 21:02 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-19 21:02:21 UTC


Attachments (Terms of Use)

Description Michal Sekletar 2016-10-21 13:07:18 UTC
Description of problem:
Routing daemons packaged in quagga rpm are system services that could be used to setup networking on the machine. As per man 7 systemd.special system service that sets up networking should actively pull in network.target into boot transaction and order itself before it. 

We currently define proper dependencies only in zebra.service but it is necessary to define dependencies also in service files for routing daemons. While at it we should also declare After=network-pre.target in all unit files. 


Version-Release number of selected component (if applicable):
quagga-0.99.24.1-2.fc23

How reproducible:
always

Steps to Reproduce:
1. grep network.target /usr/lib/systemd/system/ospfd.service

Actual results:
no output

Expected results:
Wants=network.target                                                                                                                                                                                                                                                   
Before=network.target

Comment 1 Fedora Update System 2016-10-26 17:49:57 UTC
quagga-0.99.24.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-568c7ff4f6

Comment 2 Fedora Update System 2016-10-26 20:31:45 UTC
quagga-0.99.24.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8acc6b66f1

Comment 3 Fedora Update System 2016-10-26 22:25:48 UTC
quagga-0.99.24.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cae6456f63

Comment 4 Fedora Update System 2016-11-03 18:21:13 UTC
quagga-0.99.24.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-11-03 23:54:28 UTC
quagga-0.99.24.1-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-11-04 02:51:20 UTC
quagga-0.99.24.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Admin XMLRPC Client 2016-11-16 11:02:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2016-11-19 21:02:21 UTC
quagga-0.99.24.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.